Description

¢ put the destination table at the beginning of the mapping, rather than nesting it within a hierarchy of tables it has fkeys to
¢ requires #561 to be done because autogenerated pkeys require the nested normalization format to be propagated properly

¢ note that normalized VegCore's traceable.id_by_source now provides an alternate pkey that can be used for duplicate-merging
when the referenced table provides enough for a natural key (causing a natural key to be used for traceable.id), but the
referencing table uses a source-specific numeric key (which is enough for a collision on traceable.id_by_source but not
traceable.id)

History

#1 - 10/03/2013 12:58 PM - Aaron Marcuse-Kubitza

- Status changed from New to Rejected
autopopulated natural pkeys actually do require the nested mappings, but these can be part of the schema instead

#2 - 03/28/2014 03:03 AM - Aaron Marcuse-Kubitza

- Status changed from Rejected to New

normalized VegCore's traceable.id_by_source now provides an alternate pkey that can be used for duplicate-merging, so that the flattening can still
work

#3 - 03/28/2014 03:05 AM - Aaron Marcuse-Kubitza

- Description updated
